import{s as F,n as D,o as K}from"../chunks/scheduler.6062bdaf.js";import{S as tt,i as et,g as r,s as n,r as Z,A as at,h as s,f as a,c as i,j as q,u as B,x as b,k as Q,y as lt,a as l,v as N,d as Y,t as E,w as R}from"../chunks/index.4bca734e.js";import{C as X}from"../chunks/CodeBlock.fa01571c.js";import{H as nt}from"../chunks/Heading.723dceba.js";function it(j){let o,v,y,x,p,T,d,G="🤗 Optimum can be installed using <code>pip</code> as follows:",H,m,_,c,U="If you’d like to use the accelerator-specific features of 🤗 Optimum, you can install the required dependencies according to the table below:",I,f,V='<thead><tr><th align="left">Accelerator</th> <th align="left">Installation</th></tr></thead> <tbody><tr><td align="left"><a href="https://onnxruntime.ai/docs/" rel="nofollow">ONNX runtime</a></td> <td align="left"><code>pip install --upgrade-strategy eager install optimum[onnxruntime]</code></td></tr> <tr><td align="left"><a href="https://www.intel.com/content/www/us/en/developer/tools/oneapi/neural-compressor.html" rel="nofollow">Intel Neural Compressor (INC)</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[neural-compressor]</code></td></tr> <tr><td align="left"><a href="https://docs.openvino.ai/latest/index.html" rel="nofollow">Intel OpenVINO</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[openvino,nncf]</code></td></tr> <tr><td align="left"><a href="https://www.amd.com/en/graphics/instinct-server-accelerators" rel="nofollow">AMD Instinct GPUs and Ryzen AI NPU</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[amd]</code></td></tr> <tr><td align="left"><a href="https://habana.ai/training/" rel="nofollow">Habana Gaudi Processor (HPU)</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[habana]</code></td></tr> <tr><td align="left"><a href="https://www.furiosa.ai/" rel="nofollow">FuriosaAI</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[furiosa]</code></td></tr></tbody>',C,u,O="The <code>--upgrade-strategy eager</code> option is needed to ensure the different packages are upgraded to the latest possible version.",J,g,z="If you’d like to play with the examples or need the bleeding edge of the code and can’t wait for a new release, you can install the base library from source as follows:",k,h,L,w,S="For the accelerator-specific features, you can install them by appending <code>optimum[accelerator_type]</code> to the <code>pip</code> command, e.g.",P,$,A,M,W;return p=new nt({props:{title:"Installation",local:"installation",headingTag:"h1"}}),m=new X({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bQ==",highlighted:"python -m pip install optimum",wrap:!1}}),h=new X({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install git+https://github.com/huggingface/optimum.git",wrap:!1}}),$=new X({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bSU1Qm9ubnhydW50aW1lJTVEJTQwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install optimum[onnxruntime]@git+https://github.com/huggingface/optimum.git",wrap:!1}}),{c(){o=r("meta"),v=n(),y=r("p"),x=n(),Z(p.$$.fragment),T=n(),d=r("p"),d.innerHTML=G,H=n(),Z(m.$$.fragment),_=n(),c=r("p"),c.textContent=U,I=n(),f=r("table"),f.innerHTML=V,C=n(),u=r("p"),u.innerHTML=O,J=n(),g=r("p"),g.textContent=z,k=n(),Z(h.$$.fragment),L=n(),w=r("p"),w.innerHTML=S,P=n(),Z($.$$.fragment),A=n(),M=r("p"),this.h()},l(t){const e=at("svelte-u9bgzb",document.head);o=s(e,"META",{name:!0,content:!0}),e.forEach(a),v=i(t),y=s(t,"P",{}),q(y).forEach(a),x=i(t),B(p.$$.fragment,t),T=i(t),d=s(t,"P",{"data-svelte-h":!0}),b(d)!=="svelte-wergr7"&&(d.innerHTML=G),H=i(t),B(m.$$.fragment,t),_=i(t),c=s(t,"P",{"data-svelte-h":!0}),b(c)!=="svelte-1az9spn"&&(c.textContent=U),I=i(t),f=s(t,"TABLE",{"data-svelte-h":!0}),b(f)!=="svelte-1lxp7t8"&&(f.innerHTML=V),C=i(t),u=s(t,"P",{"data-svelte-h":!0}),b(u)!=="svelte-1epvz9q"&&(u.innerHTML=O),J=i(t),g=s(t,"P",{"data-svelte-h":!0}),b(g)!=="svelte-1vwn6yx"&&(g.textContent=z),k=i(t),B(h.$$.fragment,t),L=i(t),w=s(t,"P",{"data-svelte-h":!0}),b(w)!=="svelte-1k9gtp3"&&(w.innerHTML=S),P=i(t),B($.$$.fragment,t),A=i(t),M=s(t,"P",{}),q(M).forEach(a),this.h()},h(){Q(o,"name","hf:doc:metadata"),Q(o,"content",ot)},m(t,e){lt(document.head,o),l(t,v,e),l(t,y,e),l(t,x,e),N(p,t,e),l(t,T,e),l(t,d,e),l(t,H,e),N(m,t,e),l(t,_,e),l(t,c,e),l(t,I,e),l(t,f,e),l(t,C,e),l(t,u,e),l(t,J,e),l(t,g,e),l(t,k,e),N(h,t,e),l(t,L,e),l(t,w,e),l(t,P,e),N($,t,e),l(t,A,e),l(t,M,e),W=!0},p:D,i(t){W||(Y(p.$$.fragment,t),Y(m.$$.fragment,t),Y(h.$$.fragment,t),Y($.$$.fragment,t),W=!0)},o(t){E(p.$$.fragment,t),E(m.$$.fragment,t),E(h.$$.fragment,t),E($.$$.fragment,t),W=!1},d(t){t&&(a(v),a(y),a(x),a(T),a(d),a(H),a(_),a(c),a(I),a(f),a(C),a(u),a(J),a(g),a(k),a(L),a(w),a(P),a(A),a(M)),a(o),R(p,t),R(m,t),R(h,t),R($,t)}}}const ot='{"title":"Installation","local":"installation","sections":[],"depth":1}';function rt(j){return K(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ct extends tt{constructor(o){super(),et(this,o,rt,it,F,{})}}export{ct as component};
